Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594629 - java packages do not include asf license and notice files
java packages do not include asf license and notice files
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
All Linux
high Severity medium
: 1.3
: ---
Assigned To: Rajith Attapattu
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 04:18 EDT by Gordon Sim
Modified: 2011-07-15 15:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-15 15:25:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2010-05-21 04:18:22 EDT

    
Comment 1 Rajith Attapattu 2010-05-24 02:01:44 EDT
Added LICENSE and NOTICE files from qpid-java-0_7_946106-2 packages
Comment 2 Gordon Sim 2010-05-24 03:26:18 EDT
# rpm -qv qpid-java-common qpid-java-client
qpid-java-common-0.7.946106-2.el5
qpid-java-client-0.7.946106-2.el5
# rpm -ql qpid-java-client
/usr/share/java/qpid-client-0.7.jar
/usr/share/java/qpid-client-tests-0.7.jar
# rpm -ql qpid-java-common
/usr/share/java/qpid-all.jar
/usr/share/java/qpid-common-0.7.jar
/usr/share/java/qpid-common-tests-0.7.jar
/usr/share/java/qpid-deps
/usr/share/java/qpid-deps/backport-util-concurrent-2.2.jar
/usr/share/java/qpid-deps/commons-collections-3.2.jar
/usr/share/java/qpid-deps/geronimo-jms_1.1_spec-1.0.jar
/usr/share/java/qpid-deps/junit-3.8.1.jar
/usr/share/java/qpid-deps/log4j-1.2.12.jar
/usr/share/java/qpid-deps/mina-core-1.0.1.jar
/usr/share/java/qpid-deps/mina-filter-ssl-1.0.1.jar
/usr/share/java/qpid-deps/slf4j-api-1.4.0.jar
/usr/share/java/qpid-deps/slf4j-log4j12-1.4.0.jar

Still no license or notice files in the -client and -common packages (the -examples package does have them).
Comment 3 Gordon Sim 2010-05-27 02:43:19 EDT
Fixed in qpid-java-common-0.7.946106-3.el5 (this is the root dependency for all the java code).

Note You need to log in before you can comment on or make changes to this bug.